import { Elysia } from "elysia";
import { Index, selectPage } from "./frontend";

export const app = new Elysia()
    .get("/", (context) => isHTMXResponse( context, "/"))
    .get("/blog", (context) => isHTMXResponse( context, "/blog"))
    .get("/projects", (context) => isHTMXResponse( context, "/projects"))
    .get("/content/post", () => "I'm from the server")

function isHTMXResponse ( context: any, path: string) {
    if (context.headers["hx-request"] === "true") {
        return selectPage(path);
    }
    return Index(path);
}
